## class: `WyImageGrid`, `wy-image-grid`

Image grid with evenly layouted heights on each row.

### Fields

| Name     | Type         | Default | Description                                                                                                                                                      | Inherited From |
| -------- | ------------ | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------- |
| `images` | `FileType[]` | `[]`    | Array of images to display. Displays an overflow graphic on the last image in the limited span.                                                                  |                |
| `limit`  | `number`     | `3`     | The maximum number of images to display. The last image will get an graphic overlay indication there is more.&#xA;&#xA;Set to \`Infinity\` to disable the limit. |                |
| `outer`  | `boolean`    | `false` | Display the image grid with outer styling.                                                                                                                       |                |

### Events

| Name        | Type                | Description                                  | Inherited From |
| ----------- | ------------------- | -------------------------------------------- | -------------- |
| `file-open` | `FileOpenEventType` | When opening a file in preview is requested. |                |

### Attributes

| Name    | Field | Inherited From |
| ------- | ----- | -------------- |
| `limit` | limit |                |
| `outer` | outer |                |

### CSS Parts

| Name                  | Description                                                |
| --------------------- | ---------------------------------------------------------- |
| `wy-image-grid`       | The grid container.                                        |
| `wy-image-grid-outer` | Modifier class for outer styling.                          |
| `wy-image`            | Image wrapper.                                             |
| `wy-image-filled`     | Expanding the image wrapper to the area where it's placed. |
| `wy-image-full-width` | Image wrapper in full with.                                |
| `wy-image-area`       | Area to render the image.                                  |
| `wy-image-content`    | The image.                                                 |
| `wy-image-icon`       | The image when it's an icon.                               |
| `wy-image-grid-more`  | Overlay on the last image in the limited span.             |

<details><summary>Private API</summary>

### Fields

| Name          | Privacy   | Type | Default                           | Description | Inherited From |
| ------------- | --------- | ---- | --------------------------------- | ----------- | -------------- |
| `exportParts` | protected |      | `new ShadowPartsController(this)` |             |                |

</details>

<hr/>

## Exports

| Kind                        | Name            | Declaration | Module                             | Package |
| --------------------------- | --------------- | ----------- | ---------------------------------- | ------- |
| `js`                        | `WyImageGrid`   | WyImageGrid | lib/components/ui/wy-image-grid.ts |         |
| `custom-element-definition` | `wy-image-grid` | WyImageGrid | lib/components/ui/wy-image-grid.ts |         |
